function D = D_SP_augmented(P, f, N, lb, ub, q, delta)
% D = D_SP_augmented(P, f, N, lb, ub, q, delta)
%
% Computes the augmented Solow-Polasky measure.
%
% Authors: Johannes W. Kruisselbrink, Michael T.M. Emmerich, Andre H. Deutz

	if (nargin < 7)
		% Set delta appropriately
		delta = 1;
	end

	% Compute the augmented D_SP
	D = D_SP(P(:,find(f <= q)), N, lb, ub, delta) + sum((f > q) .* (f - q));

end
