function D = D_gap(P, N, lb, ub)
% D = D_gap(P, N, lb, ub)
%
% Computes the gap measure.
%
% Authors: Johannes W. Kruisselbrink, Michael T.M. Emmerich, Andre H. Deutz

	% If P is empty, then D = inf
	if (isempty(P) || size(P,2) == 1)
		D = 0;
		return;
	end

	% Set delta appropriately
	delta = 1;

	% Compute distance matrix
	dmat = zeros(size(P,2),size(P,2));
	for i = 1:size(P,2)
		for j = 1:size(P,2)
			if (i == j)
				dmat(i,j) = inf;
			else
				dmat(i,j) = norm(P(:,i) - P(:,j));
			end
		end
	end

	D = -min(min(dmat));

end
