function [] = plot_level_set_approximation_landscape(objective_fct, threshold, N, lb, ub, P)
% [] = plot_level_set_approximation_landscape(objective_fct, threshold, N, lb, ub, P)
%
% Generates a two-dimensional plot of a level set approximation
% and the landscape of a given objective function
%
% Authors: Johannes W. Kruisselbrink, Michael T.M. Emmerich, Andre H. Deutz

	resolution = 50;
	threshold_fct = @(x) 1 * (objective_fct(x) < threshold);
	contourf_fct(threshold_fct, 2, lb(1:2), ub(1:2), (ub(1:2) - lb(1:2)) ./ resolution, 2);
	colormap(1 - .25 * bone);
	hold on
	plot(P(1,:), P(2,:), 'ro', 'MarkerFaceColor', 'r', 'MarkerSize', 3)
	hold off

end
