function [x] = superformula(phi, m, n1, n2, n3, a, b)
% [x] = superformula(phi, m, n1, n2, n3, a, b)
%
% Gielis' superformula
%
% Authors: Johannes W. Kruisselbrink, Michael T.M. Emmerich, Andre H. Deutz

	c1 = abs((1/a) * cos((m * phi) / 4));
	c2 = abs((1/b) * sin((m * phi) / 4));
	r = (c1^n2 + c2^n3)^(-1/n1);
	x(1) = r * cos(phi);
	x(2) = r * sin(phi);

end
